Hello Forum, I have a bunch of closed curves which for a large layout of stoneworks. I tend to name all the curves as I go along. When I extrude the curves is there a way to automatically add the relevant name to each object created from the named curves ?
Hello- here is a quick python
import rhinoscriptsyntax as rs
def test():
ids = rs.GetObjects(filter=4, preselect=True, select = True)
if not ids: return
names = [rs.ObjectName(id) for id in ids]
rs.Command('ExtrudeCrv')
if not rs.LastCommandResult() == 0: return
newIds = rs.LastCreatedObjects()
while len(newIds) > 0:
rs.ObjectName(newIds.pop(), names.pop())
test()
-Pascal
1 Like
@pascal Thank you sir, works a treat